import type { ProcedureOptions, Procedure, ContextOptions, Context } from './types.js';
export type * from './types.js';
/**
 * create garda procedure
 */
export declare function createProcedure<O, I extends any[], T extends Record<string, any>>(context: (() => T) | Context<T>, fn: (context: T, ...input: I) => O, options?: Partial<ProcedureOptions>): Procedure<O, I, T>;
/** Create garda context */
export declare function createContext<T extends Record<string, any>>(context: () => T, options?: Partial<ContextOptions>): Context<T>;
